error-handling相关内容

子进程命令的实时输出

我使用 python 脚本作为流体动力学代码的驱动程序.当需要运行模拟时,我使用 subprocess.Popen 来运行代码,将 stdout 和 stderr 的输出收集到一个 subprocess.PIPE --- 然后我可以打印(并保存到日志文件)输出信息,并检查是否有任何错误.问题是,我不知道代码的进展情况.如果我直接从命令行运行它,它会给我关于它在什么迭代、什么时间、下一个时间步是什么 ..
发布时间:2021-12-09 09:47:46 Python

400 BAD 请求 HTTP 错误代码含义?

我有一个 JSON 请求,我将其发布到 HTTP URL. 这是否应该被视为 400,其中 requestedResource 字段存在但 "Roman" 是该字段的无效值? [{requestedResource:"Roman"}] 这是否应该被视为 400 其中 "blah" 字段根本不存在? [{blah:"Roman"}] 解决方案 A 400 表示请求格式错误.也就是说, ..
发布时间:2021-12-08 22:13:45 其他开发

如何删除axios中的控制台错误?

这是我的代码: async [types.GET_DATA]({commit, state}, data) {尝试 {const res = await axios.post('/登录', {电子邮件:data.email,密码:data.password,});控制台日志(res)}赶上(e){如果(e.response){console.log(e.response)}}} 因此,每当用户 ..
发布时间:2021-12-08 21:36:06 前端开发

PowerShell 和进程退出代码

这个自我回答的问题试图解决处理进程退出代码的两个不同方面PowerShell: 在 PowerShell 代码中,如何查询外部进程设置的退出代码(对外部程序的调用),以及此类退出代码如何与 PowerShell 的错误处理相结合? 当其他人通过其 CLI 调用 PowerShell 时,pwsh(PowerShell 核心)/powershell.exe (Windows PowerS ..
发布时间:2021-12-08 08:16:43 其他开发

try/catch 好像没有效果

我是 powershell 的新手,我正在尝试通过 try/catch 语句添加错误处理,但它们似乎实际上并没有捕捉到错误.这是 powershell v2 CP3. $objComputer = $objResult.Properties;$strComputerName = $objComputer.name写主机“检查机器:" $strComputerName尝试{$colItems = ..
发布时间:2021-12-08 08:05:35 其他开发

我什么时候应该使用 Write-Error 和 Throw?终止与非终止错误

查看 PoshCode 上的 Get-WebFile 脚本,http://poshcode.org/3226,我注意到这个对我来说很奇怪的装置: $URL_Format_Error = [字符串]"..."写入错误 $URL_Format_Error返回 这是什么原因而不是以下原因? $URL_Format_Error = [字符串]"..."抛出 $URL_Format_Error 甚至 ..
发布时间:2021-12-08 08:03:41 其他开发

Bash 中是否有 TRY CATCH 命令

我正在编写 shell 脚本,需要检查是否已安装终端应用程序.除非有更简洁的方法,否则我想使用 TRY/CATCH 命令来执行此操作. 解决方案 Bash 中是否有 TRY CATCH 命令? 没有. Bash 并没有像许多编程语言中那样多. bash 中没有try/catch;但是,可以使用 && 或 || 实现类似的行为. 使用||: 如果 comma ..
发布时间:2021-12-05 23:19:24 其他开发

如何排除所有“权限被拒绝"?来自“查找"的消息?

我需要隐藏来自: 的所有权限被拒绝消息 查找.>文件和文件夹 当出现此类消息时,我正在试验.我需要收集它不会出现的所有文件夹和文件. 是否可以将权限级别定向到 files_and_folders 文件? 如何同时隐藏错误? 解决方案 注意: 这个答案可能比用例更深入,find 2>/dev/null 在许多情况下可能已经足够了.从跨平台的角度来看,它可能仍然对某些高 ..
发布时间:2021-12-05 22:53:07 其他开发

出错时自动退出 Bash shell 脚本

我一直在编写一些 shell 脚本,如果有任何命令失败时能够停止执行所述 shell 脚本,我会发现它很有用.请参阅下面的示例: #!/bin/bashcd some_dir./configure --some-flags制作进行安装 所以在这种情况下,如果脚本无法切换到指定的目录,那么如果失败,它肯定不想在之后执行./configure. 现在我很清楚我可以对每个命令进行 if 检查( ..
发布时间:2021-12-05 22:43:07 其他开发

Bash 中的错误处理

你最喜欢用什么方法来处理 Bash 中的错误?我在网络上发现的处理错误的最佳示例是 William Shotts, Jr 在 http://www.linuxcommand.org 上编写的. 他建议在 Bash 中使用以下函数进行错误处理: #!/bin/bash# 一个更流畅的错误处理例程# 我在我的脚本中放置了一个名为 PROGNAME 的变量# 保存正在运行的程序的名称.你可以得到 ..
发布时间:2021-12-05 22:33:21 其他开发

Bash 中的管道输出和捕获退出状态

我想在 Bash 中执行一个长时间运行的命令,并捕获它的退出状态,以及 tee 它的输出. 所以我这样做: 命令 |开球.txtST=$? 问题在于变量 ST 捕获了 tee 的退出状态,而不是命令的退出状态.我该如何解决这个问题? 请注意,该命令长时间运行并将输出重定向到文件以供稍后查看对我来说不是一个好的解决方案. 解决方案 有一个内部的 Bash 变量叫做 $PIPE ..
发布时间:2021-12-05 22:21:05 其他开发

DoCmd.SetWarnings 和 CurrentDB.Execute 有什么区别

在关于这个答案的评论中,Remou写道 CurrentDB.Execute "insert sql here" 比 更好 DoCmd.SetWarnings = 0 DoCmd.RunSQL“在此处插入sql" 由于 Access 产生的内置警告.我正在努力了解其中的区别. 如果它们都掩盖了错误,为什么第一个比第二个更可取?这里有什么最佳做法吗? 解决方案 它 ..
发布时间:2021-12-03 16:15:55 其他开发

ASP.NET MVC - 如何在 RedirectToAction 中保留 ModelState 错误?

我有以下两种操作方法(针对问题进行了简化): [HttpGet]公共 ActionResult 创建(字符串 uniqueUri){//获取一些基于 uniqueuri 的东西,在 ViewData 中设置.返回视图();}[HttpPost]公共 ActionResult 创建(审查审查){//验证审核如果(验证确定){return RedirectToAction("Details", ne ..
发布时间:2021-12-03 15:41:00 其他开发

ASP.NET MVC 404 错误处理

可能的重复: 如何在 ASP.NET MVC 中正确处理 404? 我已在 404 Http 错误中进行了更改Asp.Net MVC (RC 5) 中的处理程序,我仍然得到标准的 404 错误页面.我需要更改 IIS 中的某些内容吗? 解决方案 另一种解决方案. 向带有 404 错误信息的 ErrorControllers 或静态页面添加. 修改您的 web.confi ..
发布时间:2021-12-03 15:07:03 其他开发

在 Bash 脚本中引发错误

我想在带有消息“测试用例失败!!!"的 Bash 脚本中引发错误.如何在 Bash 中执行此操作? 例如: if [条件];然后引发错误“测试用例失败!!!"菲 解决方案 这取决于您想要存储错误消息的位置. 您可以执行以下操作: 回显“错误!">日志文件.log125号出口 或以下: 回显“错误!"1>&264号出口 当您引发异常时,您将停止程序的执行. 您还可以使 ..
发布时间:2021-12-03 13:29:20 服务器开发

Linux 中是否有任何标准的退出状态代码?

如果进程的退出状态为 0,则该进程在 Linux 中被认为已正确完成. 我已经看到分段错误通常会导致退出状态为 11,尽管我不知道这只是我工作的惯例(像那样失败的应用程序都是内部的)还是标准. Linux 中的进程是否有标准的退出代码? 解决方案 8 位返回码和 8 位灭杀信号数在 wait(2) &co.. #include #include #include #inclu ..
发布时间:2021-12-03 12:46:35 服务器开发

JSONP 请求错误处理

我正在发出一个 ajax jsonp 请求,但失败错误处理不起作用.如果请求是 404 或 500,它不会处理错误. 我一直在四处寻找这个问题的答案,但什么也找不到.http://code.google.com/p/jquery-jsonp/ 似乎有一个解决方案,但我找不到有关如何使用它的任何示例. function authentication(user, pass) {$.ajax ( ..
发布时间:2021-12-03 12:12:09 前端开发

如何捕获 Ajax 查询发布错误?

如果 Ajax 请求失败,我想捕获错误并显示相应的消息. 我的代码如下所示,但我无法捕获失败的 Ajax 请求. 函数 getAjaxData(id){$.post("status.ajax.php", {deviceId : id}, function(data){var tab1;如果(数据长度> 0){tab1 = 数据;}别的 {tab1 = "Ajax 错误";}返回tab1;} ..
发布时间:2021-12-03 12:07:20 前端开发

jQuery ajax (jsonp) 忽略超时并且不触发错误事件

为了添加一些基本的错误处理,我想重写一段代码,使用 jQuery 的 $.getJSON 从 Flickr 中提取一些照片.这样做的原因是 $.getJSON 不提供错误处理或超时工作. 由于 $.getJSON 只是 $.ajax 的一个包装器,我决定重写它并惊喜地发现,它完美无缺. 不过现在好戏开始了.当我故意导致 404(通过更改 URL)或导致网络超时(通过未连接到互联网)时, ..
发布时间:2021-12-03 11:55:31 前端开发